import request from '@/utils/request'

// 获取当前用户的抄送列表详情
export function listCheckApprovalCcDetails(query) {
  return request({
    url: '/system/check/approval/cc/details',
    method: 'get',
    params: query
  })
}
// 获取待办任务列表
export function listCheckPendingTasks(query) {
  return request({
    url: '/system/check/approval/tasks/pending',
    method: 'get',
    params: query
  })
}

//获取已办任务列表
export function listCheckFinishedTasks(query) {
  return request({
    url: '/system/check/approval/tasks/completed',
    method: 'get',
    params: query
  })
}
//批量更新抄送消息已读状态
export function updateCheckApprovalCcDetails(data) {
  return request({
    url: '/system/check/approval/cc/batch-read',
    method: 'put',
    data
  })
}
